File: changelog

package info (click to toggle)
quickplot 1.0.1~rc-1
  • links: PTS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 2,504 kB
  • ctags: 1,276
  • sloc: ansic: 16,758; sh: 11,416; makefile: 389
file content (229 lines) | stat: -rw-r--r-- 7,486 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
quickplot (1.0.1~rc-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 28 Feb 2016 15:37:31 +0100

quickplot (0.10.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No changes were needed.
  * manpages are now used from upstream.
  * debian/control:
    + Duplicated Build-Depends entry `dh-autoreconf` has been deleted.
  * FTBFS with ld --as-needed, related to libraries put before the objects
    that use them, has been fixed by upstream (Closes: #647443).

 -- Muammar El Khatib <muammar@debian.org>  Thu, 28 Nov 2013 00:41:37 +0200

quickplot (0.10.4-2) unstable; urgency=low

  * Missing Copyright file was added (Closes: #708099).

 -- Muammar El Khatib <muammar@debian.org>  Sat, 18 May 2013 17:19:34 +0200

quickplot (0.10.4-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + install-docs is not used to comply with Debian Policy.
    + buildflags.mk is being used in order of providing binaries with
    hardening functions.
  * debian/control:
    + dh-autoreconf added in Build-Depends field.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 11 May 2013 16:43:46 +0200

quickplot (0.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 21 Feb 2012 16:44:05 +0100

quickplot (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + libreadline6-dev was added to the Build-Depends field.
  * quickplot.symbols file has been removed and an override has been added.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 31 Dec 2011 18:03:58 +0100

quickplot (0.9.7-4) experimental; urgency=low

  * debian/quickplot.symbols file was updated to avoid FTBFS on armel, armhf,
    ia64, mips, mipsel, powerpc, s390, s390x, and sparc.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 30 Dec 2011 13:13:48 +0100

quickplot (0.9.7-3) unstable; urgency=low

  * debian/quickplot.symbols file was updated to not reflect the revision of the
    package and thus avoiding fails in the building process.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 28 Dec 2011 11:54:35 +0100

quickplot (0.9.7-2) unstable; urgency=low

  * Adding symbols file.
  * debian/control:
    + Updated build dependency to debhelper >= 7.
    + Build-Depends: libgtkmm-2.4-dev changed to libgtkmm-3.0-dev.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 27 Dec 2011 16:33:51 +0100

quickplot (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * The program should compile when ld defaults is set to --as-needed. Thanks to
    Felix Geyer for providing a patch. (Closes: #647443)
  * dependency_libs field has been cleared in this revision.
  * debian/copyright file has been updated for complying with DEP5 format.
  * debian/quickplot.doc-base has been updated for containing the changes in
    this new upstream release.
  * quickplot.postinst has been added for running ldconfig.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 25 Dec 2011 20:53:21 +0100

quickplot (0.8.15-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Maintainer's mail has been changed.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 24 Aug 2011 14:17:30 +0200

quickplot (0.8.15-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed.
  * ${misc:Depends} has been added to Depends fields in order to fix a lintian
    warning because the source package uses debhelper.
  * debian/quickplot.doc-base has been added to register documentation files
    making use of doc-base.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon, 22 Feb 2010 12:54:50 -0430

quickplot (0.8.15-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1
  * Homepage was set as a regular field in debian/control.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 13 Mar 2009 15:39:06 -0430

quickplot (0.8.13-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS using patch by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #454899)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:29:29 +0100

quickplot (0.8.13-2) unstable; urgency=low

  * Upload to unstable.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Wed, 11 Apr 2007 13:07:27 -0400

quickplot (0.8.13-1) experimental; urgency=low

  * New upstream release.
  * A watch file was added.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue,  6 Feb 2007 21:50:27 -0400

quickplot (0.8.6-3) unstable; urgency=low

  * New maintainer (Closes: #405732)
  * The version of debhelper was changed to >> 5 instead of >> 4.0.0

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon,  5 Feb 2007 22:23:47 -0400

quickplot (0.8.6-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #405732
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Fri, 19 Jan 2007 08:42:49 +0100

quickplot (0.8.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rebuild quickplot for the C++ ABI transition (closes: #325514).
  * Add forward-declaration of class FieldReader for compatibility with
    g++ 4.0 (closes: #326468).

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Sep 2005 14:25:08 -0700

quickplot (0.8.6-1) unstable; urgency=low

  * New upstream release
  * Upstream has completely revamped an old project, converted to C++,
    used more modern GUI library (GTK+), made lots of
    improvements. Unfortunately, upstream resurfaced at a different
    location (sourceforge), and I missed several intermediate versions.
  * Updated long and short descriptions and Build-Depends
  * Wrote manpage in sgml format using upstream html help page
  * Close old FTBFS fixed NMU bug. Closes: #226514

 -- Gopal Narayanan <gopal@debian.org>  Wed,  2 Feb 2005 00:26:09 -0500

quickplot (0.4.4-2.1) unstable; urgency=low

  * NMU
    - Now Build-Depends on libxaw6-dev (Closes: #226514)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  9 Jan 2004 17:45:16 +0100

quickplot (0.4.4-2) unstable; urgency=low

  * Fix uninstallable RC bug for old X libraries. Closes: #170234
  * Bumped up Standards Version, add Build-Depends

 -- Gopal Narayanan <gopal@debian.org>  Fri, 14 Mar 2003 21:26:22 -0500

quickplot (0.4.4-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Thu, 13 Jul 2000 13:20:14 -0400

quickplot (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Upgrade to Standards 3.0.1

 -- Gopal Narayanan <gopal@debian.org>  Fri, 29 Oct 1999 16:55:20 -0400

quickplot (0.4.2-2) unstable; urgency=low

  * Packaged using debhelper (>2.0) for FHS compliance

 -- Gopal Narayanan <gopal@debian.org>  Sun,  8 Aug 1999 20:45:56 -0400

quickplot (0.4.2-1) unstable; urgency=low

  * New Maintainer
  * New upstream version

 -- Gopal Narayanan <gopal@debian.org>  Fri,  2 Jul 1999 20:38:30 -0400

quickplot (0.2.8-1) unstable; urgency=low

  * New upstream version.

 -- Johnie Ingram <johnie@debian.org>  Wed, 27 Jan 1999 07:28:29 -0500

quickplot (0.2.6-1) unstable; urgency=low

  * New upstream version.

 -- Johnie Ingram <johnie@debian.org>  Mon, 21 Dec 1998 13:49:06 -0500

quickplot (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Wed, 17 Sep 1997 14:59:33 -0400